Page MenuHomePhabricator

Reinstate srcset for action=mobileview
Closed, ResolvedPublic3 Story Points

Description

The Wikipedia Mobile for iOS app relies upon srcset in its image widening routine. srcset should be reinstated for action=mobileview so the app and older versions of the app continue to function normally with image widening and generally functional gallery support (invoked from image tap). The mobile website HTML pages should continue to strip srcset, though.

Related patches identified by @Mholloway:

https://gerrit.wikimedia.org/r/#/c/270793
https://gerrit.wikimedia.org/r/#/c/286502/
https://gerrit.wikimedia.org/r/#/c/287818/
https://gerrit.wikimedia.org/r/#/c/287794/

The fix should be verified in the app.

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 10 2016, 11:14 PM
ori added a subscriber: ori.EditedJun 10 2016, 11:34 PM

@dr0ptp4kt, are you suggesting that we reinstate them for plain web views as well?

dr0ptp4kt updated the task description. (Show Details)Jun 10 2016, 11:53 PM

@ori For iOS we just need and mobile view API responses to restore the srcsets.

dr0ptp4kt updated the task description. (Show Details)Jun 11 2016, 12:31 AM

So if I'm reading correctly, the previous config hack was not disabling srcset in API requests, but did use the parser cache key tweak... thus mostly keeping the mobile app views similar to desktop parser cache and the mobile web views separate with their stripped srcset.

So, would need MobileFrontend hook to switch the srcset disabling back off in case it's inside the mobile view API request and I think it should pick up the right parser cache key.

Change 293893 had a related patch set uploaded (by Brion VIBBER):
Don't strip srcset on API mobileview action

https://gerrit.wikimedia.org/r/293893

Change 293893 merged by jenkins-bot:
Don't strip srcset on API mobileview action

https://gerrit.wikimedia.org/r/293893

phuedx assigned this task to Jhernandez.Jun 13 2016, 9:47 AM
phuedx added a comment.EditedJun 13 2016, 9:49 AM

@Jhernandez will be testing 293893: Don't strip srcset on API mobileview action and, hopefully, getting it SWAT deployed today.

Change 294036 had a related patch set uploaded (by Jhernandez):
Don't strip srcset on API mobileview action

https://gerrit.wikimedia.org/r/294036

Swat deploy added to calendar: https://wikitech.wikimedia.org/wiki/Deployments#deploycal-item-20160613T1500

I'd appreciate +1s and testing in https://gerrit.wikimedia.org/r/#/c/294036/ , I've added info on the patch comments about how to verify too.

Change 294036 merged by jenkins-bot:
Don't strip srcset on API mobileview action

https://gerrit.wikimedia.org/r/294036

Jhernandez closed this task as Resolved.

This has been swat deployed and works, confirmed by the iOS team crew and me in en.wiki

Jhernandez set the point value for this task to 3.

This has been swat deployed and works, confirmed by the iOS team crew and me in en.wiki

Always include proof! ;)
IRC log:

IRC conversation from June 13th, 2016:

<coreyfloyd> joakino: so far so good. I'm mobile - in line at WWDC
joakino: but no problems in the app so far

<joakino> awesoemee

<mdholloway> if the iOS guys say it's working i'll defer to them ;)

<joakino> thanks all

<coreyfloyd> joakino: Joe also says it works